using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace KuchenTest4
{
    public partial class GaesteWerte : Form
    {
    	IKuchenBasar kuchenBasarIntern;
		GaesteM gaesteVerwaltungIntern;
        Gast aktGast;
    
        public GaesteWerte(IKuchenBasar kuchenbasar, GaesteM gaesteverwaltung)
		{
			InitializeComponent();

			kuchenBasarIntern = kuchenbasar;
			gaesteVerwaltungIntern = gaesteverwaltung;

			aktGast = gaesteVerwaltungIntern.getInfos(kuchenbasar.AktGaesteID);

			textBoxName.Text = aktGast.Name;
			textBoxVorname.Text = aktGast.Vorname;
			textBoxFirma.Text = aktGast.Firma;
			textBoxMobile.Text = aktGast.Mobile;
			textBoxEmail.Text = aktGast.Email;
		}    
        
        public GaesteWerte()
        {
            InitializeComponent();
        }

        void buttonAbbruch_Click(Object sender, EventArgs e)
		{
			this.Close();
		}

		void buttonSpeichern_Click(Object sender, EventArgs e)
		{
			aktGast.Id = kuchenBasarIntern.AktGaesteID;

			aktGast.Name = textBoxName.Text;
			aktGast.Vorname = textBoxVorname.Text;
			aktGast.Firma = textBoxFirma.Text;
			aktGast.Mobile = textBoxMobile.Text;
			aktGast.Email = textBoxEmail.Text;

			gaesteVerwaltungIntern.setInfos(aktGast);

			this.Close();
		}
	};
}
